# timescopes #

General time scoping methods

## TimeScopes.daily(start=nil) ##

```
> TimeScopes.daily
=> [2015-10-31 00:00:00 UTC, 2015-11-01 00:00:00 UTC]
```

## TimeScopes.weekly(start=nil) ##

```
> TimeScopes.weekly
=> [2015-10-26 00:00:00 UTC, 2015-11-02 00:00:00 UTC]
```

## TimeScopes.monthly(start=nil) ##

```
> TimeScopes.monthly
=> [2015-10-01 00:00:00 UTC, 2015-11-01 00:00:00 UTC]
```

## TimeScopes.overall(start=nil) ##

```
> TimeScopes.overall
=> [2000-01-01 00:00:00 -0800, 2015-11-01 00:00:00 UTC]
```

## TimeScopes.start_of_day() ##

```
> TimeScopes.start_of_day(Date.today)
=> "2015-10-31 00:00:00Z"
```

## TimeScopes.start_of_month() ##

```
> TimeScopes.start_of_month(Date.today)
=> "2015-10-01 00:00:00Z"
```

* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## Copyright

Copyright (c) 2015 Ian Hunter. See LICENSE.txt for
further details.
